/* eslint-disable @typescript-eslint/no-unused-vars */
const qianzhuione = '/prod-api'; // '/prod-api'生产环境 // '/dev-api'开发环境是调后端本地时使用
// const qianzhuione = '/prod-api';
export const url = {
  wmspda: {
    system: {
      test: '/wmspda/system/test',
      login: qianzhuione + '/auth/login',
      getInfo: qianzhuione + '/system/user/mobileGetInfo',
    },
  },
  sys: {
    log: {
      error: '/wmspda/sys/log/error',
    },
  },
  //正式接口
  lanjumes: {
    product: {
      getInfoByRfid: qianzhuione + '/quality/handCheck/getInfoByRfid',
      saveQcProCheck: qianzhuione + '/quality/handCheck/saveQcProCheck',
      queryhandChecklist: qianzhuione + '/quality/handCheck/list',
      sendDestinationStations: '/api/ReceivingAndFeedingMaterials/sendDestinationStations',
      palletInforUpdate: '/api/ReceivingAndFeedingMaterials/palletInforUpdate',
      getDictList: qianzhuione + '/quality/handCheck/getDictList',
      requestDestinationStation: qianzhuione + '/mes/wcsInterface/pdaRequestDestinationStations',
      getAllEquipments: qianzhuione + '/mes/pda/getAllEquipments',
      saveRfidWithEquip: qianzhuione + '/mes/pda/saveRfidWithEquip',
      getpalletLocation: '/api/ReceivingAndFeedingMaterials/getpalletLocation',
      // 获取缓存区
      GetBufferLoc: '/api/ReceivingAndFeedingMaterials/GetBufferLoc',
      // 空托盘绑定
      BindOrderByRFID: '/api/ReceivingAndFeedingMaterials/BindOrderByRFID',
      // 处理异常托盘
      ErrorPalletHandling: '/api/ReceivingAndFeedingMaterials/ErrorPalletHandling',
      // 获取目的地
      getDestination: '/api/ReceivingAndFeedingMaterials/getDestination',
    },
  },
  lanjuwms: {
    product: {
      // 下线入库
      OfflineStorage: {
        queryinformation: qianzhuione + '/wms/put/s/',
        insertTary: qianzhuione + '/wms/tray/insertTary',
        deleteTray: qianzhuione + '/wms/tray/deleteTray',
        handPut: qianzhuione + '/wms/tray/wms/handPut',
        list: qianzhuione + '/wms/tray/listTary',
      },
      // 销售出库/sellout/showProduceCode/  /sellout/s/订单号/产品编码

      SaleOutWH: {
        // 根据交货单号查询下面的产品编码
        showProduceCode: qianzhuione + '/wms/sellout/showProduceCode',
        // 根据订单号和产品编码查询
        queryinformation: qianzhuione + '/wms/sellout/s',
        // 扫描箱码接口
        selloutconntray: qianzhuione + '/wms/selloutconntray',
        deleteTray: qianzhuione + '/wms/selloutconntray/deleteTray',
        // 根据交货单号和产品编码查询展示接口
        showTrays: qianzhuione + '/wms/selloutconntray/showTrays',
        // 手持出库确认
        out: qianzhuione + '/wms/selloutconntray/out',
      },
    },
  },
  // 设备管理
  lanjuequipment: {
    product: {
      // 巡检
      Inspection: {
        // 获取今日任务 获取历史记录
        getTodayTask: qianzhuione + '/device/devicePDA/getTodayTask',
        // 获取历史记录
        getTaskRecord: qianzhuione + '/device/devicePDA/getTaskRecord',
        // 获取巡检工单详情信息
        getInspectionOrderInfo: qianzhuione + '/device/devicePDA/getInspectionOrderInfo',
        // 提交巡检工单详情信息
        updateInspectionRecord: qianzhuione + '/device/devicePDA/updateInspectionRecord',
      },
      // 销售出库/sellout/showProduceCode/  /sellout/s/订单号/产品编码

      SaleOutWH: {
        // 根据交货单号查询下面的产品编码
        showProduceCode: qianzhuione + '/wms/sellout/showProduceCode',
        // 根据订单号和产品编码查询
        queryinformation: qianzhuione + '/wms/sellout/s',
        // 扫描箱码接口
        selloutconntray: qianzhuione + '/wms/selloutconntray',
        deleteTray: qianzhuione + '/wms/selloutconntray/deleteTray',
        // 根据交货单号和产品编码查询展示接口
        showTrays: qianzhuione + '/wms/selloutconntray/showTrays',
        // 手持出库确认
        out: qianzhuione + '/wms/selloutconntray/out',
      },
    },
  },
};
